import type { Release, ReleaseResult } from '../types';
export declare function resetMemCache(): void;
export declare function resetCache(): void;
export interface NpmRelease extends Release {
    gitRef?: string;
}
export interface NpmDependency extends ReleaseResult {
    releases: NpmRelease[];
    deprecationSource?: string;
    name: string;
    homepage: string;
    sourceUrl: string;
    versions: Record<string, any>;
    'dist-tags': Record<string, string>;
    sourceDirectory?: string;
}
export declare function getDependency(packageName: string): Promise<NpmDependency | null>;
