"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceReferenceTags = void 0;
const re = /!reference \[\.\w+?(?:, \w+?)\]/g;
/**
 * Replaces GitLab reference tags before parsing, because our yaml parser cannot process them anyway.
 * @param content pipeline yaml
 * @returns replaced pipeline content
 * https://docs.gitlab.com/ee/ci/yaml/#reference-tags
 */
function replaceReferenceTags(content) {
    const res = content.replace(re, '');
    return res;
}
exports.replaceReferenceTags = replaceReferenceTags;
//# sourceMappingURL=utils.js.map